package in.ashokit;

import java.util.TreeSet;
import java.util.Comparator;

class Employee implements Comparable{
	
  String name;
  int eid;
  Employee(String name,int eid){
	  this.name=name;
	  this.eid=eid;
  }
  
  public String toString(){
	  return name +  "   " + eid;
  }
  
  public int compareTo(Object o){
	  
	  int eid1=this.eid;
	  int eid2=((Employee)o).eid;
	  
	  if(eid1>eid2)  
		  return -1;
	  else if(eid1<eid2)
		  return 1;
	  else
		  return 0;
	  
  }
	
}


public class EmployeeComparatorTest{
	
	public static void main(String args[]){
			Employee e1=new Employee("Vijay",100);
			Employee e2=new Employee("Ashok",101);
			Employee e3=new Employee("Priya",102);
			Employee e4=new Employee("Tejaswini",103);
			Employee e5=new Employee("Asutosh",104);
			
			TreeSet t=new TreeSet();
			t.add(e1);
			t.add(e2);
			t.add(e3);
			t.add(e4);
			t.add(e5);
			
			System.out.println(t);
			
			
			TreeSet t1=new TreeSet(new MyComparator());
			t1.add(e1);
			t1.add(e2);
			t1.add(e3);
			t1.add(e4);
			t1.add(e5);
			
			System.out.println(t1);
			
			
			
	
	}
	}
	
	class MyComparator implements Comparator{
		
		public int compare(Object o1,Object o2){
			Employee e1=(Employee) o1;
			Employee e2=(Employee) o2;
			
			String s1=e1.name;
			String s2=e2.name;
			return s1.compareTo(s2);
		}
		
	}
	
	
	
	
	
